ArcEmu: World Error - ArcEmu

Jump to content

Toggle shoutbox Lastest Announcements

dfighter  : (07 December 2014 - 12:06 PM) Arcemu is in hibernation mode, please read http://arcemu.org/fo...showtopic=26903
dfighter  : (01 January 2013 - 05:56 PM) Arcemu wishes you all a happy new year!
Hasbro  : (12 September 2012 - 10:01 AM) Please excuse our outage from the web! Our web host had a major malfunction!
dfighter  : (01 September 2012 - 04:05 PM) Since the spam bots just don't want to stop, I've enabled admin verification when registering.
dfighter  : (23 January 2012 - 09:56 PM) Please note that from now on you will need to confirm your email on the wiki in order to edit it!
Hasbro  : (31 December 2011 - 12:50 PM) Happy New Years all!
Navid  : (26 December 2011 - 04:09 AM) Merry Christmas !!!!!! Happy holidays all :)
WAmadeus  : (24 December 2011 - 03:54 PM) Merry Christmas to all!
dfighter  : (24 December 2011 - 11:05 AM) The Arcemu team wishes y'all a Merry Christmukkah!
Hasbro  : (05 October 2011 - 12:53 PM) Looking for web designers for upcoming web related project. If you're interested in designing user interfaces contact me
dfighter  : (02 September 2011 - 03:47 PM) So who here wants vehicles in Arcemu? :P http://arcemu.org/fo...showtopic=25440
Hasbro  : (14 August 2011 - 03:25 PM) Join us on irc, grab an irc client and connect to irc.freenode.net join channel #arcemu /server irc.freenode.net:6667 /join #arcemu
jackpoz  : (03 August 2011 - 05:33 AM) to all Lua Engine (old one) users: please check http://arcemu.org/fo...showtopic=25274
Hasbro  : (20 May 2011 - 05:27 PM) Looking for people experienced with CMake configuration and setup! Contact me asap
Hasbro  : (15 May 2011 - 05:03 PM) ArcEmu is recruiting C++ programmers, contact Hasbro if interested.
paroxysm  : (03 May 2011 - 06:26 PM) Updated luabridge gossip example to describe the whole gossip creation process rather than just how to create menu. Gossip tutorial
paroxysm  : (23 April 2011 - 11:35 AM) Lua writers can refer to the Luabridge Tutorials section in the Wiki to learn how to write gossip code correctly.
Hasbro  : (20 April 2011 - 05:22 PM) Thank you for your continuous contribution of bug reports, we are working on them.
Hasbro  : (17 April 2011 - 03:20 AM) Please consider donating to support our bills. Donations can be sent using PayPal to donations@arcemu.org - Thank you for your support.
paroxysm  : (10 April 2011 - 12:43 AM) Refer to the Luabridge Tutorials section in the Wiki to learn the new syntax of luabridge.
Resize Shouts Area

Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

World Error database table error

#1 User is offline   kazeel 

  • Newbie
  • Group: Members
  • Posts: 6
  • Joined: 17-February 11
  • Gender:Male
  • Server OS:Windows

Posted 17 February 2011 - 01:57 AM

00:52][Arcemu][2011-02-17 00:52:52]
[00:52][Arcemu]ArcEmu TRUNK r4049/Release-Win32-X86 :: World Server
[00:52][Arcemu]Database: World database version doesn't match the required version which is 3955.
[00:52][Arcemu]Database: You need to apply the world update queries that start with a larger number than 4049. Exiting.

That is the error i am getting from the world-error.log I have tryed replacing the query with a high # but it just keeps on saying I need a higher # . This might be one of the most easy thing you might try to figure out but i am having a problem with it. And yes as you can see i am very new to this so if you could give good details on how to fix the problem that would be great. i have the most up to date DB i could find,I also followed every instruction to the T to build this DB. So if someone could help me out here that would be great. ty so much
0

#2 User is offline   jackpoz 

  • ArcEmu Lemon Priest
  • PipPipPipPipPipPipPipPip
  • Group: Developers
  • Posts: 2,153
  • Joined: 19-June 08
  • Gender:Male
  • Location:Italy
  • Server OS:Windows

Posted 17 February 2011 - 03:46 AM

View Postkazeel, on 17 February 2011 - 01:57 AM, said:

I have tryed replacing the query with a high # but it just keeps on saying I need a higher # .

You mean you tried to manually change the "3955" number found in the database? If so, that looks like the most random and wrong thing you could do, you shouldn't touch what you don't know.
As for the solution, did you read the wiki? http://www.arcemu.org/wiki/Updating
Posted Image We develop dreams. Your dreams ;)
Posted ImagePosted Image
0

#3 User is offline   kazeel 

  • Newbie
  • Group: Members
  • Posts: 6
  • Joined: 17-February 11
  • Gender:Male
  • Server OS:Windows

Posted 17 February 2011 - 09:56 AM

Yes I have read the updating form and yes i have redo the whole DS without changing anything but the issue still happens

Please ignore that last reply I was not looking at the big picture, but now i have updated the world DB and not it is coming up with the error
[08:38][Arcemu][2011-02-17 08:38:36]
[08:38][Arcemu]ArcEmu TRUNK r4049/Release-Win32-X86 :: World Server
[08:38][Arcemu]Database: Character database version doesn't match the required version which is 3800.
[08:38][Arcemu]Database: You need to apply the character update queries that start with a larger number than 3955. Exiting.
The chacacter update file does not have a .sql file that starts with anything higher then 3800

I am just assuming that but i have the problem with Navicat Lite for some reason it will not allow me to create more then just 1 datebase and i have to compile all that i have into that one datebase. Navicat will not let me create any database unless it is "test" and that is it.
0

#4 User is offline   sonarf 

  • Occasional Poster
  • PipPip
  • Group: Members
  • Posts: 137
  • Joined: 04-February 10
  • Gender:Male
  • Location:UK, Sussex
  • Interests:World of Warcraft
  • Server OS:Windows

Posted 17 February 2011 - 09:58 AM

View Postkazeel, on 17 February 2011 - 09:56 AM, said:

Yes I have read the updating form and yes i have redo the whole DS without changing anything but the issue still happens

Please ignore that last reply I was not looking at the big picture, but now i have updated the world DB and not it is coming up with the error
[08:38][Arcemu][2011-02-17 08:38:36]
[08:38][Arcemu]ArcEmu TRUNK r4049/Release-Win32-X86 :: World Server
[08:38][Arcemu]Database: Character database version doesn't match the required version which is 3800.
[08:38][Arcemu]Database: You need to apply the character update queries that start with a larger number than 3955. Exiting.
The chacacter update file does not have a .sql file that starts with anything higher then 3800

I am just assuming that but i have the problem with Navicat Lite for some reason it will not allow me to create more then just 1 datebase and i have to compile all that i have into that one datebase. Navicat will not let me create any database unless it is "test" and that is it.


You now need to update the character DB Updates the same way you did the world updates DB :(
0

#5 User is offline   kazeel 

  • Newbie
  • Group: Members
  • Posts: 6
  • Joined: 17-February 11
  • Gender:Male
  • Server OS:Windows

Posted 17 February 2011 - 10:32 AM

ok everytime I update the world database i get this error
09:26][Arcemu][2011-02-17 09:26:16]
[09:26][Arcemu]ArcEmu TRUNK r4049/Release-Win32-X86 :: World Server
[09:26][Arcemu]Database: Character database version doesn't match the required version which is 3800.
[09:26][Arcemu]Database: You need to apply the character update queries that start with a larger number than 3955. Exiting.
and everytime I update the chacacter database i get this error
[09:00][Arcemu][2011-02-17 09:00:17]
[09:00][Arcemu]ArcEmu TRUNK r4049/Release-Win32-X86 :: World Server
[09:00][Arcemu]Database: World database version doesn't match the required version which is 3955.
[09:00][Arcemu]Database: You need to apply the world update queries that start with a larger number than 3800. Exiting.
I just look to me that the update are rewriting the queries over and over and all i am getting it is the same issue because that is all my error log is filled with.
Like I have said befor ecould it be the Navicat lite, because i can only create one database only with the name of test and i have to use that database for all the files there after.
The file arcemu-logonserver.exe works fine with the database and is ready for connections.
0

#6 User is offline   dfighter 

  • Titles are overrated
  • PipPipPipPipPipPipPipPipPipPip
  • Group: Administrator
  • Posts: 5,189
  • Joined: 14-June 08
  • IRC:dfighter
  • Gender:Male
  • Server OS:Linux

Posted 17 February 2011 - 10:39 AM

View Postkazeel, on 17 February 2011 - 10:32 AM, said:

I just look to me that the update are rewriting the queries over and over and all i am getting it is the same issue because that is all my error log is filled with.
Like I have said befor ecould it be the Navicat lite, because i can only create one database only with the name of test and i have to use that database for all the files there after.
The file arcemu-logonserver.exe works fine with the database and is ready for connections.

You need to load the character and world databases into separate physical databases. They are called `achar` and `aworld` on my system.
They have a table with the same name, so if you store them in the same database ofc it won't work.
Instead of navicat which is a commercial software you could use free fully functional software like sqlyog or heidisql or even the official mysql client.
"The demand for free goods is infinite."
0

#7 User is offline   kazeel 

  • Newbie
  • Group: Members
  • Posts: 6
  • Joined: 17-February 11
  • Gender:Male
  • Server OS:Windows

Posted 17 February 2011 - 12:10 PM

Ok downloaded HeidiSQL and trying it out will have reply soon

Ok i am sorry for all the posts. I have figured out what the problem is and my WoW floder has already updated to 4.x.x and now have to revert to 3.3.5 like i said sorry for all the posts before did not even think to check what patch lvl arcemu was up to yet.
0

#8 User is offline   dfighter 

  • Titles are overrated
  • PipPipPipPipPipPipPipPipPipPip
  • Group: Administrator
  • Posts: 5,189
  • Joined: 14-June 08
  • IRC:dfighter
  • Gender:Male
  • Server OS:Linux

Posted 17 February 2011 - 02:39 PM

Your wow client version is totally unrelated to this error message.
"The demand for free goods is infinite."
0

Share this topic:


Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users